<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref14.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::TypeVisitor::visit&#40;ArrowMemberExpr*&#41; - Synopsis::PTree::TypeofExpr::TypeofExpr&#40;Node*&#44;Node*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::TypeVisitor::visit&#40;ArrowMemberExpr*&#41; - Synopsis::PTree::TypeofExpr::TypeofExpr&#40;Node*&#44;Node*&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lArrowMemberExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ArrowMemberExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrowMemberExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#81">Synopsis/PTree/TypeVisitor.hh:81</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lAssignExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;AssignExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAssignExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#65">Synopsis/PTree/TypeVisitor.hh:65</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lBreakStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;BreakStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lBreakStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#56">Synopsis/PTree/TypeVisitor.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lCaseStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;CaseStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCaseStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#60">Synopsis/PTree/TypeVisitor.hh:60</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lCastExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;CastExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCastExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#69">Synopsis/PTree/TypeVisitor.hh:69</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lClassSpec_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ClassSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lClassSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#44">Synopsis/PTree/TypeVisitor.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lCondExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;CondExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCondExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#66">Synopsis/PTree/TypeVisitor.hh:66</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lContinueStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ContinueStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lContinueStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#57">Synopsis/PTree/TypeVisitor.hh:57</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lDeclaration_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Declaration*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclaration_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#39">Synopsis/PTree/TypeVisitor.hh:39</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lDeclarator_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Declarator*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclarator_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#41">Synopsis/PTree/TypeVisitor.hh:41</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lDefaultStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;DefaultStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDefaultStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#61">Synopsis/PTree/TypeVisitor.hh:61</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lDeleteExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;DeleteExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeleteExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#76">Synopsis/PTree/TypeVisitor.hh:76</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lDoStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;DoStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDoStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#53">Synopsis/PTree/TypeVisitor.hh:53</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lDotMemberExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;DotMemberExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDotMemberExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#80">Synopsis/PTree/TypeVisitor.hh:80</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lEnumSpec_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;EnumSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lEnumSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#45">Synopsis/PTree/TypeVisitor.hh:45</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lExprStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ExprStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExprStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#63">Synopsis/PTree/TypeVisitor.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lExpression_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Expression*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExpression_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#64">Synopsis/PTree/TypeVisitor.hh:64</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lExternTemplate_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ExternTemplate*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExternTemplate_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#32">Synopsis/PTree/TypeVisitor.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lForStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ForStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lForStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#54">Synopsis/PTree/TypeVisitor.hh:54</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lFstyleCastExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;FstyleCastExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFstyleCastExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#43">Synopsis/PTree/TypeVisitor.hh:43</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lFuncallExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;FuncallExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFuncallExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#78">Synopsis/PTree/TypeVisitor.hh:78</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lGotoStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;GotoStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lGotoStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#59">Synopsis/PTree/TypeVisitor.hh:59</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lIdentifier_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Identifier*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIdentifier_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#27">Synopsis/PTree/TypeVisitor.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lIfStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;IfStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIfStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#50">Synopsis/PTree/TypeVisitor.hh:50</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lInfixExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;InfixExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lInfixExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#67">Synopsis/PTree/TypeVisitor.hh:67</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lKeyword_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Keyword*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lKeyword_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#28">Synopsis/PTree/TypeVisitor.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lLabelStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;LabelStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLabelStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#62">Synopsis/PTree/TypeVisitor.hh:62</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lLinkageSpec_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;LinkageSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLinkageSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#35">Synopsis/PTree/TypeVisitor.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lLiteral_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Literal*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLiteral_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#26">Synopsis/PTree/TypeVisitor.hh:26</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lMetaclassDecl_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;MetaclassDecl*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lMetaclassDecl_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#33">Synopsis/PTree/TypeVisitor.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lName_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Name*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#42">Synopsis/PTree/TypeVisitor.hh:42</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lNamespaceAlias_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;NamespaceAlias*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceAlias_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#37">Synopsis/PTree/TypeVisitor.hh:37</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lNamespaceSpec_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;NamespaceSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#36">Synopsis/PTree/TypeVisitor.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lNewExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;NewExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNewExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#75">Synopsis/PTree/TypeVisitor.hh:75</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lParameterDeclaration_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ParameterDeclaration*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParameterDeclaration_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#34">Synopsis/PTree/TypeVisitor.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lParenExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ParenExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParenExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#82">Synopsis/PTree/TypeVisitor.hh:82</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lPmExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;PmExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPmExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#68">Synopsis/PTree/TypeVisitor.hh:68</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lPostfixExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;PostfixExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPostfixExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#79">Synopsis/PTree/TypeVisitor.hh:79</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lReturnStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ReturnStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lReturnStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#58">Synopsis/PTree/TypeVisitor.hh:58</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lSizeofExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;SizeofExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSizeofExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#72">Synopsis/PTree/TypeVisitor.hh:72</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lSwitchStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;SwitchStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSwitchStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#51">Synopsis/PTree/TypeVisitor.hh:51</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTemplateDecl_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;TemplateDecl*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateDecl_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#30">Synopsis/PTree/TypeVisitor.hh:30</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTemplateInstantiation_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;TemplateInstantiation*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateInstantiation_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#31">Synopsis/PTree/TypeVisitor.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lThrowExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;ThrowExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lThrowExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#71">Synopsis/PTree/TypeVisitor.hh:71</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTryStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;TryStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTryStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#55">Synopsis/PTree/TypeVisitor.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTypeParameter_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;TypeParameter*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeParameter_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#46">Synopsis/PTree/TypeVisitor.hh:46</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTypedef_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;Typedef*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypedef_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#29">Synopsis/PTree/TypeVisitor.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTypeidExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;TypeidExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeidExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#73">Synopsis/PTree/TypeVisitor.hh:73</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lTypeofExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;TypeofExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeofExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#74">Synopsis/PTree/TypeVisitor.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lUnaryExpr_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;UnaryExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUnaryExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#70">Synopsis/PTree/TypeVisitor.hh:70</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lUserAccessSpec_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;UserAccessSpec*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUserAccessSpec_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#49">Synopsis/PTree/TypeVisitor.hh:49</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lUsingDeclaration_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;UsingDeclaration*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDeclaration_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#40">Synopsis/PTree/TypeVisitor.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lUsingDirective_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;UsingDirective*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDirective_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#38">Synopsis/PTree/TypeVisitor.hh:38</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeVisitor_mvisit_lWhileStatement_S_r" /><h2 >Member function Synopsis::PTree::TypeVisitor::visit&#40;WhileStatement*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lWhileStatement_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#52">Synopsis/PTree/TypeVisitor.hh:52</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypedef" /><h2 >Class Synopsis::PTree::Typedef</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Typedef.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#104">Synopsis/PTree/Lists.hh:104</a>: in class <a href="../Scopes/Synopsis/PTree/Typedef.html" >Synopsis::PTree::Typedef</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#29">Synopsis/PTree/TypeVisitor.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#92">Synopsis/PTree/Visitor.hh:92</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#92">Synopsis/Parser.hh:92</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#43">Synopsis/SymbolFactory.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#107">Synopsis/PTree/Lists.hh:107</a>: Constructor <a href="../Scopes/Synopsis/PTree/Typedef.html#Typedef_lNode_S_r" >Typedef&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#108">Synopsis/PTree/Lists.hh:108</a>: Constructor <a href="../Scopes/Synopsis/PTree/Typedef.html#Typedef_lNode_S_cNode_S_r" >Typedef&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#109">Synopsis/PTree/Lists.hh:109</a>: Member function <a href="../Scopes/Synopsis/PTree/Typedef.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypedef_mTypedef_lNode_S_r" /><h2 >Constructor Synopsis::PTree::Typedef::Typedef&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Typedef.html#Typedef_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#107">Synopsis/PTree/Lists.hh:107</a>: in class <a href="../Scopes/Synopsis/PTree/Typedef.html" >Synopsis::PTree::Typedef</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypedef_mTypedef_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Typedef::Typedef&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Typedef.html#Typedef_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#108">Synopsis/PTree/Lists.hh:108</a>: in class <a href="../Scopes/Synopsis/PTree/Typedef.html" >Synopsis::PTree::Typedef</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypedef_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Typedef::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Typedef.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#109">Synopsis/PTree/Lists.hh:109</a>: in class <a href="../Scopes/Synopsis/PTree/Typedef.html" >Synopsis::PTree::Typedef</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeidExpr" /><h2 >Class Synopsis::PTree::TypeidExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeidExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#423">Synopsis/PTree/Lists.hh:423</a>: in class <a href="../Scopes/Synopsis/PTree/TypeidExpr.html" >Synopsis::PTree::TypeidExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#423">Synopsis/PTree/Lists.hh:423</a>: in class <a href="../Scopes/Synopsis/PTree/TypeidExpr.html" >Synopsis::PTree::TypeidExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#73">Synopsis/PTree/TypeVisitor.hh:73</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#183">Synopsis/PTree/Visitor.hh:183</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#42">Synopsis/TypeAnalysis/TypeEvaluator.hh:42</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#426">Synopsis/PTree/Lists.hh:426</a>: Constructor <a href="../Scopes/Synopsis/PTree/TypeidExpr.html#TypeidExpr_lNode_S_cNode_S_r" >TypeidExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeidExpr_mTypeidExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::TypeidExpr::TypeidExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeidExpr.html#TypeidExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#426">Synopsis/PTree/Lists.hh:426</a>: in class <a href="../Scopes/Synopsis/PTree/TypeidExpr.html" >Synopsis::PTree::TypeidExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeofExpr" /><h2 >Class Synopsis::PTree::TypeofExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeofExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#429">Synopsis/PTree/Lists.hh:429</a>: in class <a href="../Scopes/Synopsis/PTree/TypeofExpr.html" >Synopsis::PTree::TypeofExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#429">Synopsis/PTree/Lists.hh:429</a>: in class <a href="../Scopes/Synopsis/PTree/TypeofExpr.html" >Synopsis::PTree::TypeofExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#74">Synopsis/PTree/TypeVisitor.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#184">Synopsis/PTree/Visitor.hh:184</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#43">Synopsis/TypeAnalysis/TypeEvaluator.hh:43</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#432">Synopsis/PTree/Lists.hh:432</a>: Constructor <a href="../Scopes/Synopsis/PTree/TypeofExpr.html#TypeofExpr_lNode_S_cNode_S_r" >TypeofExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mTypeofExpr_mTypeofExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::TypeofExpr::TypeofExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/TypeofExpr.html#TypeofExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#432">Synopsis/PTree/Lists.hh:432</a>: in class <a href="../Scopes/Synopsis/PTree/TypeofExpr.html" >Synopsis::PTree::TypeofExpr</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
